<div class="btnAcrossPageName">
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='ADD_NEW'
             (click)='openAddModal()'
             *ngIf="objFunction?.edit"
             mbButtonText="{{'personalTax.label.add' | translate}}"></mb-button>
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'
             (click)='openConfigDateModal()'
             *ngIf="objFunction?.approve"
             mbButtonText="{{'personalTax.label.configDate' | translate}}"></mb-button>

  <mb-button
    mbButtonSize="MEDIUM"
    mbButtonAvailableStyle="IMPORT"
    (click)='doImportData()'
    mbButtonText="{{'common.upload.upload' | translate}}"
  >
  </mb-button>
</div>

<div class='ptx__register content__item content__item--border bg__content--default' (keyup.enter)='doSearch(1)'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <app-search-form #searchForm
                   [functionCode]='functionCode'
                   [isShowRegisterStatus]='isShowRegisterStatus'
                   [isShowYear]='true'
  ></app-search-form>

  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>

    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)='doSearch(1)'
          mbButtonText="{{'personalTax.label.search' | translate}}"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          (click)="doExportData()"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>
</div>



<div class='search__result'>
  <mb-table-wrap>
    <div>
      <p *ngIf="listRegisterId.length > 0" style="margin: 0">{{'personalTax.label.selected' | translate}}: {{listRegisterId.length}}</p>
    </div>
    <mb-table
      (changePageNum)='doSearch($event)'
      [tableConfig]='tableConfig' [tableData]='searchResult'
      (onDblClickNode)="onDblClickNode($event)"
    ></mb-table>
  </mb-table-wrap>
</div>


<app-import-common [showContent]='isImportData'
                   (onCloseModal)='doCloseImport($event)'
                   [urlApiDownloadTemp]='urlApiDownloadTemp'
                   [urlApiImport]='urlApiImport'
                   nzTitle="{{'personalTax.label.declarationUpload' | translate}}"
                   (onLoadPage)="onLoadPage($event)"
>
</app-import-common>

<ng-template #actionTmpl let-declarationRegisterId='declarationRegisterId'>
  <app-btn-action-by-id
    [registerId]="declarationRegisterId"
    [urlDeleteById]="urlDeleteById"
    (doSearch)="doSearch(pagination.pageNumber)"
    (openModalEdit)="onEdit(declarationRegisterId)"
    (openModalDetail)="onDetail(declarationRegisterId)"
    [showDelete]='objFunction?.delete'
    [showEdit]='objFunction?.edit'
    [showApprove]='false'
    (onLoadPage)="onLoadPage($event)"
  >
  </app-btn-action-by-id>
</ng-template>

<ng-template #statusTmpl let-status='status'>
  <ng-container *ngFor='let item of constant.STATUSES_REGISTER'>
    <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}" *ngIf='status?.toString() === item.value'>{{item.label | translate}}</nz-tag>
  </ng-container>
</ng-template>

<ng-template #empStatusTmpl let-empStatus='empStatus'>
  <app-emp-status-common [empStatus]='empStatus'></app-emp-status-common>
</ng-template>
